domain_indirect.h File Reference

Go to the source code of this file.

## Classes

class | geo_abstract_rep< T, M >
| abstract interface class More...
class | geo_rep< T, M >
| sequential mesh representation More...
class | geo_basic
| generic mesh with rerefence counting More...
class | domain_indirect_base_rep< M >
class | domain_indirect_rep< M >
class | domain_indirect_rep< sequential >
class | domain_indirect_rep< distributed >
class | domain_indirect_basic< M >
| the finite element boundary domain More...
class | domain_indirect_basic< sequential >
class | domain_indirect_basic< distributed >

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

template<class T >
domain_indirect_basic< sequential > | build_union (const geo_basic< T, sequential > &omega, const domain_indirect_basic< sequential > &a, const domain_indirect_basic< sequential > &b)
template<class T >
domain_indirect_basic< distributed > | build_union (const geo_basic< T, distributed > &omega, const domain_indirect_basic< distributed > &a, const domain_indirect_basic< distributed > &b)